Subject: Re: [Gen-art] DISCUSS and COMMENT: draft-ietf-nfsv4-minorversion1

From: [email-masked]
Date: Wed, 10 Dec 2008 09:08:36 -0500

Russ,

I just compared the -26 and -28 versions of the nfsv4.1 draft.

All of the issues noted in my combined Gen-ART and Transport
review have been satisfactorily addressed in the -28 version,
including the Unicode problem that was the basis for your
Discuss.

Thanks,
--David
p.s.  The pNFS block layout draft is also in good shape - a
	-11 version that is believed to resolve all comments
	except the XDR code copyright should appear today.
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

> -----Original Message-----
> From: Lars Eggert [mailto:[email-masked]] 
> Sent: Wednesday, December 10, 2008 7:39 AM
> To: Russ Housley
> Cc: [email-masked]; [email-masked]; Black, David; 
> [email-masked]
> Subject: Re: DISCUSS and COMMENT: draft-ietf-nfsv4-minorversion1 
> 
> Hi, Russ,
> 
> I believe your discuss has been addressed in the 26->27 revision of  
> this draft by adopting David's suggested change.
> 
> Lars
> 
> On 2008-11-30, at 22:09, Russ Housley wrote:
> 
> > Discuss:
> >
> >  Given the length of this document, I am very pleased that 
> David Black
> >  was able to perform a Gen-ART and Transport review.  He caught one
> >  very important problem.  The review says:
> >>
> >> Section 5.10 on character case for Unicode references a very
> >> old RFC (RFC 1345) and provides a case determination algorithm
> >> (substring match on "CAPITAL" or "SMALL" in a Unicode character
> >> name) that is wrong and potentially dangerously so.  This
> >> section needs to be rewritten to reference a Unicode document
> >> that defines the notion of case for a particular version of
> >> Unicode. The good news is that everything needed to get this right
> >> is in Section 14's profiles of "stringprep" (Unicode 3.2 is
> >> referenced from Section 14 via RFC 3454), so a small rewrite of
> >> Section 5.10 to remove the case determination algorithm and
> >> direct the reader to Section 14 for all internationalization
> >> details will probably fix this.  I would remove the reference
> >> to RFC 1345 as part of this.
> >
> > Comment:
> >
> >  The Gen-ART and Transport review from David Black provides some  
> > useful
> >  comments.  They should be addressed if the document is updated.
> >
> 
> 
_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art